version: 1

metadata:
  category: System
  name: Authentik
  version: v0.0.2+2024.2.2
  display_version: 2024.2.2
  tagline: Identity & access management
  description: >-
    Authentik is a comprehensive identity and access management solution.
  developers:
    Authentik Team: https://goauthentik.io
  repos:
    Core: https://github.com/goauthentik/authentik
  support: https://nirvati.org/
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  icon: https://official-app-icons.nirvati.org/authentik/icon.svg
  default_username: akadmin
  default_password: {{ derive_entropy(identifier="password") }}
  license: MIT
  volumes:
    media:
      minimum_size: 10Mi
      recommended_size: 1Gi
      name: Media
      description: Media files such as app icons
    templates:
      minimum_size: 10Mi
      recommended_size: 100Mi
      name: E mail templates
      description: Templates for emails
    certs:
      minimum_size: 10Mi
      recommended_size: 100Mi
      name: Certificates
      description: Generated certificate files
    db:
      minimum_size: 50Mi
      recommended_size: 1Gi
      name: Database
      description: Authentik's main database
    redis:
      minimum_size: 50Mi
      recommended_size: 50Mi
      name: Cache
      description: A cache for session storage
